#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kde-dev-utils
Summary: K Desktop Environment - Software Development Kit
Version: 16.12.3
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdepimlibs4-devel
BuildRequires: binutils-devel

Conflicts: kdesdk4-core < 1:4.10.80
Conflicts: kdesdk4-devel < 1:4.10.80

Obsoletes: kuiviewer < 1:4.10.80
Conflicts: kuiviewer < 1:4.10.80
Provides:  kuiviewer = %{epoch}:%{version}-%{release}

Obsoletes: kbugbuster < 1:4.5.76

%description
Software Development Kit for the K Desktop Environment.

%files
%_kde_bindir/kpartloader
%_kde_bindir/kuiviewer
%_kde_libdir/kde4/kuiviewerpart.so
%_kde_libdir/kde4/quithumbnail.so
%_kde_applicationsdir/kuiviewer.desktop
%_kde_appsdir/kpartloader/
%_kde_appsdir/kuiviewer/
%_kde_appsdir/kuiviewerpart/
%_kde_iconsdir/hicolor/*/apps/kuiviewer.png
%_kde_services/designerthumbnail.desktop
%_kde_services/kuiviewer_part.desktop
%_kde_includedir/kprofilemethod.h

#------------------------------------------------------------------------------
%if 0
# TODO: Find missing buildrequire
%package -n kstartperf
Summary: Startup time measurement for KDE apps
Group: Graphical desktop/KDE

%description -n kstartperf
KStartPerf measures startup time for KDE applications

%files -n kstartperf
%_kde_bindir/kstartperf
%_kde_libdir/kde4/kstartperf.so
%endif
#------------------------------------------------------------------------------

%package -n kmtrace
Summary: Memory Allocation Debugging Tool
Group: Graphical desktop/KDE
Conflicts:  kdesdk4-scripts < 1:4.10.80

%description -n kmtrace
A Memory Allocation Debugging Tool.

%files -n kmtrace
%_kde_bindir/kmtrace
%_kde_bindir/demangle
%_kde_bindir/kminspector
%_kde_bindir/kmmatch
%_kde_appsdir/kmtrace
%_mandir/man1/demangle.1.xz

#------------------------------------------------------------------------------

%define  ktrace_major 4
%define  libktrace %mklibname ktrace %ktrace_major

%package -n %libktrace
Summary: Runtime library for Kmtrace
Group: System/Libraries

%description -n %libktrace
Runtime library for Kmtrace.

%files -n %libktrace
%_kde_libdir/libktrace.so.%{ktrace_major}*

#------------------------------------------------------------------------------


%package    -n kmtrace-devel
Summary:    Header files for kmtrace
Group:      Development/KDE and Qt
Conflicts:  kdesdk4-devel < 1:4.10.80 

%description  -n kmtrace-devel
This package includes the header files you will need to compile applications
against kmtrace.

%files -n kmtrace-devel
%_kde_includedir/ktrace.h
%_kde_libdir/libktrace.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090043
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076779
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1071991
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067309
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061368
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050635
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047267
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040030
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012520
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004310
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994846
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991159
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987428
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922597
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905468
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901015
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880853
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 866283
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 1:15.07.80-1.mga6
+ Revision: 859157
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800575
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787661
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 743950
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734523
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 1:4.14.0-3.mga5
+ Revision: 726588
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 680971
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667461
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 662972
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656650
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653836
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651941
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636710
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625477
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615550
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609370
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606811
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603305
- New version 4.12.80

* Tue Mar 11 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 602358
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590438
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589273
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554970
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551239
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540390
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490823
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476904
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465244
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458884
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Sat Jul 20 2013 neoclust <neoclust> 1:4.10.95-4.mga4
+ Revision: 456645
- Fix kmtrace devel package name ( thanks to luc for seeing this error )

* Sat Jul 20 2013 neoclust <neoclust> 1:4.10.95-3.mga4
+ Revision: 456596
- Fix requires, do not requires kde-dev-utils-core which does not exists
- Enable kmtrace and kstartperf

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455274
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448018
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kde-dev-utils

  + lmenut <lmenut>
    - Fix conflicts

